file(GLOB_RECURSE PSEMEK_GROUP_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "include/*.hpp")

psemek_add_library(psemek-group ${PSEMEK_GROUP_HEADERS})
target_include_directories(psemek-group PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")
target_link_libraries(psemek-group PUBLIC psemek-util)

psemek_glob_tests(psemek-group tests)
